> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List taxation items

GET https://rest.test.zuora.com/object-query/taxation-items

Lists Taxation Item objects. You can use the query parameters to filter, expand, and sort the returned results.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/object-query/object-queries/query-taxation-items

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `pageSize` (integer, optional, default: 10) — The maximum number of results to return in a single page. If the specified `pageSize` is less than 1 or greater than 99, Zuora will return a 400 error.
- `cursor` (string, optional) — A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with `next_page=W3sib3JkZXJ=`, your subsequent call can include `cursor=W3sib3JkZXJ=` in order to fetch the next page of the list.
- `sort[]` (list of string, optional) — A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. `accountnumber.ASC`) or descending (e.g. `accountnumber.DESC`). You cannot sort on properties in arrays. If the array-type properties are specified for the `sort[]` parameter, they are ignored. Supported sortable fields: - id - updateddate - invoiceitemid
- `expand[]` (list of string, optional) — Allows you to expand responses by including related object information in a single call. The Taxation Item object does not support expanding related objects.
- `filter[]` (list of string, optional) — A case-insensitive filter on the list. Supported filterable fields: * id * updateddate * invoiceitemid * \{indexedcustomfield}: Use the format like `customField__c` to filter on custom fields.
- `fields[]` (list of string, optional) — A case-insensitive query parameter that allows you to specify which fields are returned in the response.
- `includeNullFields` (boolean, optional, default: false) — Specifies whether to include fields with the `null` value in the response. - If set to `true`, all fields will be returned in the response, including those with the `null` value. - If set to `false`, only fields with non-null values will be returned.

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `nextPage` (string, optional, nullable) — A string that can be used as the `cursor` value to retrieve the next page of the response if it exists; otherwise absent.
- `data` (list of ExpandedTaxationItem, optional)

## Errors

### 500 Internal Server Error

Internal server error

- `reasons` (list of CommonOqErrorResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (any, optional) — The unique identifier of the request.

### 400 Client Request Error

Invalid input

- `reasons` (list of CommonOqErrorResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (any, optional) — The unique identifier of the request.

## Types

### ExpandedTaxationItem

- `id` (string, optional) — The unique identifier of the taxation item.
- `createdById` (string, optional) — The unique identifier of the user who created the taxation item.
- `createdDate` (datetime, optional) — The date and time when the taxation item was created in the Zuora system, in the `yyyy-mm-dd hh:mm:ss` format.
- `updatedById` (string, optional) — The unique identifier of the user who last updated the taxation item.
- `updatedDate` (datetime, optional) — The date and time when the taxation item was last updated, in the `yyyy-mm-dd hh:mm:ss` format.
- `creditAmount` (double, optional) — The amount of credit memos applied to the taxation item.
- `accountingCode` (string, optional) — The accounting code that maps to the taxation item in your accounting system.
- `exemptAmount` (double, optional) — The calculated tax amount excluded due to the exemption.
- `invoiceItemId` (string, optional) — The unique identifier of the invoice item to which the taxation item belongs.
- `jurisdiction` (string, optional) — The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city.
- `locationCode` (string, optional) — The identifier for the location based on the value of the `taxCode` field.
- `name` (string, optional) — The name of the taxation item.
- `paymentAmount` (double, optional) — The amount of payment applied to the invoice or debit memo.
- `taxAmount` (double, optional) — The amount of the tax applied to the billing document.
- `taxAmountUnrounded` (double, optional) — The amount of the tax applied to the billing document before rounding.
- `countryCode` (string, optional) — The code of country to which the taxation item.
- `taxCodeDescription` (string, optional) — The description of the tax code.
- `customerCode` (string, optional) — The customer code. This field is only available if you are using one of the Vertex Tax Connector apps.
- `exemptCertificate` (string, optional) — The tax exemption certificate that the customer holds. Applicable if you use Zuora Tax or Connect tax engines.
- `sellerRegistration` (string, optional) — Your seller registration code. This field is only available if you are using the OneSource Determination app.
- `taxDescription` (string, optional) — The description of the tax.
- `taxRuleId` (string, optional) — The unique identifier of the tax rule.
- `taxCode` (string, optional) — The tax code identifies which tax rules and tax rates to apply to a specific billing document.
- `taxMode` (enum, optional) — The mode of the tax.
  - Allowed values: `TaxExclusive`, `TaxInclusive`
- `taxDate` (date, optional) — The date when the tax is applied to the billing document.
- `taxRate` (double, optional) — The tax rate applied to the billing document.
- `taxRateDescription` (string, optional) — The description of the tax rate.
- `taxRateType` (enum, optional) — The type of the tax rate applied to the billing document.
  - Allowed values: `Percentage`, `FlatFee`
- `balance` (double, optional) — The remaining balance on the taxation item.
- `journalEntryId` (string, optional) — The ID of the journal entry that corresponds to this transaction.
- `salesTaxPayableAccountingCodeId` (string, optional) — The accounting code for Sales Tax Payable.
- `accountReceivableAccountingCodeId` (string, optional) — The accounting code for Account Receivable.
- `taxableItemSnapshotId` (string, optional) — The unique identifier of the taxable item snapshot.
- `periodEndDate` (date, optional) — The end date of the period to which the taxation item belongs.
- `periodStartDate` (date, optional) — The start date of the period to which the taxation item belongs.
- `taxableAmount` (double, optional) — The taxable amount of the taxation item.

### CommonOqErrorResponseReasonsItems

- `code` (integer, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Response**

```json
{
  "nextPage": "W3sidmFsdWUiOiIyMDE5LTA3LTEzVDEwOjAwOjE5KzA4OjAwIiwib3JkZXJCeSI6eyJmaWVsZCI6IlVwZGF0ZWREYXRlIiwib3JkZXIiOiJERVNDIn19LHsidmFsdWUiOiIyYzkyYzA5NDZiZTFmOTFlMDE2YmU5MGY0MjAzNGRiOSIsIm9yZGVyQnkiOnsiZmllbGQiOiJJZCIsIm9yZGVyIjoiREVTQyJ9fV0=",
  "data": [
    {
      "id": "8ad09d9392e0a4430192f51746d121f6",
      "createdById": "8ad084a67f9c7138017fab8a8b511b5a",
      "createdDate": "2024-11-04T10:53:16+08:00",
      "updatedById": "2c92c0f955e2bcfc0155e3019d0c4963",
      "updatedDate": "2024-11-29T05:00:42+08:00",
      "creditAmount": 0,
      "accountingCode": "Sales Tax Payable",
      "exemptAmount": 0,
      "invoiceItemId": "8ad086fa92d66ffe0192dc7e5dd65161",
      "jurisdiction": "CALIFORNIA",
      "name": "CA TAX",
      "paymentAmount": 3,
      "taxAmount": 3,
      "taxAmountUnrounded": 3,
      "taxMode": "TaxExclusive",
      "taxDate": "2024-11-04",
      "taxRate": 3,
      "taxRateDescription": "Details of the tax rate",
      "taxRateType": "FlatFee",
      "balance": 0,
      "salesTaxPayableAccountingCodeId": "2c92c0f946f588620146f8735f0a01cd",
      "accountReceivableAccountingCodeId": "2c92c0f946f588620146f8735ee101c8",
      "periodEndDate": "2024-10-30",
      "periodStartDate": "2024-10-30",
      "taxableAmount": 0
    }
  ]
}
```

**SDK Code**

```python Object Queries_queryTaxationItems_example
import requests

url = "https://rest.test.zuora.com/object-query/taxation-items"

querystring = {"fields[]":"[\"id,createddate\"]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Object Queries_queryTaxationItems_example
const url = 'https://rest.test.zuora.com/object-query/taxation-items?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Object Queries_queryTaxationItems_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/object-query/taxation-items?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Object Queries_queryTaxationItems_example
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/object-query/taxation-items?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Object Queries_queryTaxationItems_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/object-query/taxation-items?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Object Queries_queryTaxationItems_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/object-query/taxation-items?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Object Queries_queryTaxationItems_example
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/object-query/taxation-items?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Object Queries_queryTaxationItems_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/object-query/taxation-items?fields%5B%5D=%5B%22id%2Ccreateddate%22%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```